
# fabcoin

fabcoin is a web wrapper and library for the fabcoin core and  client's JSON-RPC API.

If starting a new project, I highly encourage you to take a look at the more modern
* ES6 support
* optional promise support
* support for newer REST API, in addition to RPC methods

The API is equivalent to the API document [here](https://en.bitcoin.it/wiki/Original_Bitcoin_client/API_Calls_list).
The methods are exposed as lower camelcase methods on the `fabcoin.Client`
object, or you may call the API directly using the `cmd` method on Windows and `curl` on Ubuntu

## Getting Started
You can get fabcoin from npm package manager and use to send direct command from any web consumer to fabcoind core rpc api
Please install node and npm

Ubuntu installation
* $sudo apt-get update
* $sudo apt-get install nodejs
* $sudo apt-get install npm

Windows
* Download the Windows installer from the Nodes.js® web site [here](https://nodejs.org/en/).

## Fabcoin Install

`npm i fabcoin`

## Examples

### Create client and send data
```js
// all config options are optional
var client = new fabcoin.Client({
  host: 'localhost',
  port: 8181,
  user: 'username',
  pass: 'password',
  timeout: 9001
});
```
Please take a look on this example [here] (https://github.com/blockchaingate/WebAPI/tree/master/fabcoinquickstart/)

## Build with
Node.js ver 9.11.1 and it works with minimum node.js  0.10.0 (for this version it needs to test)

## Version
```js
ver 1.0.12

````

## Authors
```js
fabdeveloper@fa.biz

```
## Comment and issue
```js
Any issue and bug please send to developer account
```
