var rpccommands1 = require('./rpccommand')
var rpc1 = require('./jsonrpc')

function ClientC (opts) {
  this.rpc1 = new rpc.ClientA(opts)
}

ClientC.prototype.cmd = function () {
  var args = [].slice.call(arguments)
  var cmd = args.shift()

  callRpc(cmd, args, this.rpc)
}
function callRpc (cmd, args, rpc) {
  var fn = args[args.length - 1]
  if (typeof fn === 'function') {
    args.pop()
  } else {
    fn = function () {}
  }

  rpc1.call(cmd, args, function () {
    var args = [].slice.call(arguments)
    args.unshift(null)
    fn.apply(this, args)
  }, function (err) {
    fn(err)
  })
}
(function () {
  for (var protoFn in rpccommands1) {
    (function (protoFn) {
      ClientC.prototype[protoFn] = function () {
        var args = [].slice.call(arguments)
        callRpc(rpccommands[protoFn], args, this.rpc)
      }
    })(protoFn)
  }
})()
module.exports.ClientC = ClientC
